import axios from 'axios';
import constants from '../constants';

const { API_ROOT } = constants;

class User {
    constructor(data) {
        this = { ...data, ...this };
    }

    static async getById(id) {
        const data = await axios.post(API_ROOT + '/users/get', { id });
        if (data.data['error'])
            throw new Error(data.data['error']);
        return new User(data.data);
    }
}